# -*- coding: utf-8 -*-
from setuphelpers import *

# Installation procedure: https://docs.python.org/2/using/windows.html

# Declaring specific app values (TO CHANGE)
app_dir_string = makepath(programfiles64, "Python%s")  # Make sure to use programfiles32 for 32-Bits version and programfiles64 for 64-Bits version
# whl_dir = 'whl'


def install():
    # Specific app values
    package_version = control.version.split("-", 1)[0]
    package_version_split = package_version.split(".")
    short_version = "%s%s" % (package_version_split[0], package_version_split[1])
    app_dir = app_dir_string % short_version
    silent_args_string = {"ALLUSERS": 1, "ADDLOCAL": "ALL", "TargetDir": '"%s"' % app_dir}
    # whl_dir_path = makepath(basedir,whl_dir)

    # Installing the package
    print("Installing Python %s to: %s" % (package_version, app_dir))
    install_msi_if_needed(
        "python-%s.amd64.msi" % package_version,
        properties=silent_args_string,
        min_version=package_version,
    )

    # Prevent interaction with waptpython Wheels
    if "PYTHOHOME" in os.environ.keys():
        del os.environ["PYTHONHOME"]
    if "PYTHONPATH" in os.environ.keys():
        del os.environ["PYTHONPATH"]
    os.environ["PYTHONPATH"] = app_dir
    os.environ["PYTHONHOME"] = app_dir

    # # Installing Python Wheels
    # for whl in glob.glob(r'%s\*.whl' % whl_dir_path):
    #     print('Installing Python Wheel: %s' % whl)
    #     run(r'"%s\Scripts\easy_install.exe" "%s"' % (app_dir,whl))


def uninstall():
    # Specific app values
    package_version = control.version.split("-", 1)[0]
    package_version_split = package_version.split(".")
    short_version = "%s%s" % (package_version_split[0], package_version_split[1])
    app_dir = app_dir_string % short_version

    # Removing remaining files of this Python version
    try:
        if isdir(app_dir):
            print("Removing remaining folder: %s" % app_dir)
            remove_tree(app_dir)
    except:
        print("Unable to remove Python %s remaining folder: %s" % (package_version, app_dir))
